#!/usr/bin/env bash
set -e
# RaveOS Setup Script
bold=$(tput bold)      # ${bold}
normal=$(tput sgr0)    # ${normal}
yellow=$(tput setaf 3) # ${yellow}

sudo usermod -m -G wheel -s /bin/bash "$USER"

# Installing packages

    sudo pacman -S gnome-terminal gnome-session gdm gnome-disk-utility gnome-system-monitor eog flatpak base-devel bash-completion firefox gedit gnome-calculator baobab ffmpeg git gnome-control-center gnome-browser-connector xdg-desktop-portal xdg-desktop-portal-gnome xdg-desktop-portal-gtk xdg-desktop-portal-wlr ttf-ubuntu-font-family gnome-settings-daemon unzip wget glib2 glib2-devel spice-vdagent --noconfirm
    sudo systemctl enable gdm.service
    sudo systemctl mask sleep.target suspend.target hibernate.target hybrid-sleep.target geoclue.service

    git clone https://aur.archlinux.org/yay-bin.git
    cd yay-bin
    makepkg -si --noconfirm
    cd -
    rm -rf yay-bin


    git clone https://aur.archlinux.org/yaru.git
    cd yaru
    makepkg -si --noconfirm
    cd -
    rm -rf yaru
    

# RaveOS Cosmetics

    gsettings set org.gnome.desktop.interface gtk-theme 'Yaru-purple-dark'
    gsettings set org.gnome.desktop.interface cursor-theme 'Yaru'
    gsettings set org.gnome.desktop.interface icon-theme 'Yaru-purple-dark'
    gsettings set org.gnome.desktop.sound theme-name 'Yaru'
    gsettings set org.gnome.desktop.screensaver lock-enabled false
    gsettings set org.gnome.desktop.session idle-delay 0
    gsettings set org.gnome.desktop.wm.preferences button-layout ":minimize,maximize,close"
    yay -S gdm-tools --noconfirm --sudoloop --save
    mkdir cosmetics
    cd cosmetics
    wget -O cosmetics.zip https://files.rp1.hu/api/public/dl/R_0cJkKL/
    unzip cosmetics.zip
    sudo chown -R $USER:$GROUP /home/$USER/cosmetics/
    sudo rsync -ap --info=progress2 gnome-shell /home/$USER/.local/share/
    cp -a burn-my-windows /home/$USER/.config/
    sudo cp -a rave-pp.png /usr/share/pixmaps/faces/
    echo "[User]
Session=
Icon=/usr/share/pixmaps/faces/rave-pp.png
SystemAccount=false" | sudo tee /var/lib/AccountsService/users/$USER
    sudo cp -a archlinux-logo-text-dark.svg /usr/share/pixmaps/
    sudo cp -a view-app-grid-symbolic.svg /usr/share/icons/Yaru/scalable/actions/



    reboot